> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://tc.docs.syndicate.io/api/admin/projects/create-project/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://tc.docs.syndicate.io/_mcp/server. # Create Project POST https://api.syndicate.io/admin/project Content-Type: application/json Create a new project. Only available with environment wide API keys. Reference: https://tc.docs.syndicate.io/api/admin/projects/create-project ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Body (application/json) This endpoint expects a CreateProjectRequest. - `name` (string, required) - `environment` (enum, required) - Allowed values: `staging`, `production` - `chainId` (integer, required) - `organizationId` (UUID, required) - `numWallets` (integer, optional) — Number of wallets to create for the project. Defaults to 1. Max is 10. ## Response ### 200 - `allowlistIpRanges` (list of AllowlistIpRange, required) - `contracts` (list of Contract, required) - `createdAt` (datetime, required) - `environment` (enum, required) - Allowed values: `staging`, `production` - `id` (string, required) - `name` (string, required) - `organizationId` (UUID, required) - `updatedAt` (datetime, optional) ## Errors ### 400 Status Bad Request ### 404 Status Not Found ### 500 Status Internal Server Error ### 403 Status Forbidden ## Types ### AllowlistIpRange - `createdAt` (datetime, required) - `id` (string, required) - `ipRange` (string, required) - `projectId` (UUID, required) - `updatedAt` (datetime, optional) ### Contract - `address` (string, required) - `chainId` (integer, required) - `createdAt` (datetime, required) - `functionSignatures` (list of FunctionSignature, required) - `id` (string, required) - `name` (string, required) - `projectId` (UUID, required) - `claimedByOrganizationId` (UUID, optional) - `expiresAt` (datetime, optional) - `updatedAt` (datetime, optional) ### FunctionSignature - `contractId` (UUID, required) - `createdAt` (datetime, required) - `hashedSignature` (string, required) - `id` (string, required) - `payable` (boolean, required) - `signature` (string, required) - `functionAbi` (any, optional) — JSON ABI of the function signature. Null if function signature is unable to be parsed. - `updatedAt` (datetime, optional) ## Examples **Request** ```json { "name": "name", "environment": "staging", "chainId": 1, "organizationId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32" } ``` **Response** ```json { "allowlistIpRanges": [ { "ipRange": "ipRange", "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32" }, { "ipRange": "ipRange", "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32" } ], "contracts": [ { "address": "address", "chainId": 1, "functionSignatures": [ { "contractId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "hashedSignature": "hashedSignature", "payable": true, "signature": "signature", "functionAbi": { "key": "value" } }, { "contractId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "hashedSignature": "hashedSignature", "payable": true, "signature": "signature", "functionAbi": { "key": "value" } } ], "name": "name", "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "claimedByOrganizationId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "expiresAt": "2024-01-15T09:30:00Z" }, { "address": "address", "chainId": 1, "functionSignatures": [ { "contractId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "hashedSignature": "hashedSignature", "payable": true, "signature": "signature", "functionAbi": { "key": "value" } }, { "contractId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "hashedSignature": "hashedSignature", "payable": true, "signature": "signature", "functionAbi": { "key": "value" } } ], "name": "name", "projectId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "claimedByOrganizationId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32", "expiresAt": "2024-01-15T09:30:00Z" } ], "environment": "staging", "name": "name", "organizationId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32" } ``` **SDK Code** ```python import requests url = "https://api.syndicate.io/admin/project" payload = { "name": "name", "environment": "staging", "chainId": 1, "organizationId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32" } headers = { "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.syndicate.io/admin/project'; const options = { method: 'POST', headers: {Authorization: 'Bearer ', 'Content-Type': 'application/json'}, body: '{"name":"name","environment":"staging","chainId":1,"organizationId":"d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.syndicate.io/admin/project" payload := strings.NewReader("{\n \"name\": \"name\",\n \"environment\": \"staging\",\n \"chainId\": 1,\n \"organizationId\": \"d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.syndicate.io/admin/project") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"name\": \"name\",\n \"environment\": \"staging\",\n \"chainId\": 1,\n \"organizationId\": \"d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.syndicate.io/admin/project") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"name\": \"name\",\n \"environment\": \"staging\",\n \"chainId\": 1,\n \"organizationId\": \"d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32\"\n}") .asString(); ``` ```php request('POST', 'https://api.syndicate.io/admin/project', [ 'body' => '{ "name": "name", "environment": "staging", "chainId": 1, "organizationId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.syndicate.io/admin/project"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"name\": \"name\",\n \"environment\": \"staging\",\n \"chainId\": 1,\n \"organizationId\": \"d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = [ "name": "name", "environment": "staging", "chainId": 1, "organizationId": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.syndicate.io/admin/project")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```